Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal
Class PortalException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.portal.PortalException

Direct Known Subclasses:
  PortalFinderException

public class PortalException
extends ApplicationException

Base class for all `Exception`s in the portal framework.

See Also:
  `ApplicationException`, Serialized Form

Constructor Summary
`PortalException(java.lang.String message)` Allocates an `PortalException` using the given message.
`PortalException(java.lang.String message, java.lang.Throwable cause)` Allocates an `PortalException` using the given message and a nested `Throwable`.

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalException

    public PortalException(java.lang.String message)

  Allocates an `PortalException` using the given message.

  Parameters:
    `message` - the message describing the exception.

### PortalException

    public PortalException(java.lang.String message,
                           java.lang.Throwable cause)

  Allocates an `PortalException` using the given message and a nested `Throwable`.

  Parameters:
    `message` - the message describing the exception.
    `cause` - the nested `Throwable`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved